Bug 1029036 - rhevm-setup fails do to missing 'file' tool
rhevm-setup fails do to missing 'file' tool
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
Unspecified Unspecified
urgent Severity high
: ---
: 3.3.0
Assigned To: Ofer Schreiber
sefi litmanovich
integration
: Triaged
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-11-11 09:19 EST by Roman Hodain
Modified: 2014-01-21 17:21 EST (History)
7 users (show)

See Also:
Fixed In Version: is23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:13:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21176 None None None Never
oVirt gerrit 21187 None None None Never

  None (edit)
Description Roman Hodain 2013-11-11 09:19:50 EST
Description of problem:
The minimal installation of RHEL system is missing file toll. This causes the rhevm-setup fail with the following ERROR:

 ERROR ] Failed to execute stage 'Misc configuration': Command '/usr/share/ovirt-engine/dbscripts/create_schema.sh' failed to execute


2013-11-11 15:02:20 DEBUG otopi.plugins.ovirt_engine_setup.db.schema plugin.execute:446 execute-output: ['/usr/share/ovirt-engine/dbscripts/create_schema.sh', '-l', '/var/log/ovirt-engine/setup/ovirt-engine-setup-20131111145846.log', '-s
', 'localhost', '-p', '5432', '-d', 'engine', '-u', 'engine', '-g'] stderr:
./dbfunctions.sh: line 223: file: command not found
./dbfunctions.sh: line 223: file: command not found
./dbfunctions.sh: line 223: file: command not found
....

   

Version-Release number of selected component (if applicable):
rhevm-setup-3.3.0-0.30.beta1.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
run rhevm-setup without 'fil' installed

Actual results:
 ERROR ] Failed to execute stage 'Misc configuration': Command '/usr/share/ovirt-engine/dbscripts/create_schema.sh' failed to execute


Expected results:
RHEV-M is installed successfully

Additional info:
file rpm should be added as dependency to rhevm.
Comment 3 Sandro Bonazzola 2013-11-12 10:45:04 EST
Patch merged on upstream master and 3.3 branch
Comment 4 sefi litmanovich 2013-11-14 10:58:53 EST
Verified on RHEVM 3.3 IS23
Comment 5 Itamar Heim 2014-01-21 17:13:47 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:21:35 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.